#!/bin/sh -
#
# This file has been created to compile this document on the computer of
# Charles Pax. This computer is a 12" Powerbook with TeXShop installed. I
# assume that this will only run on *nix computers. This is really just for the
# personal use of Charles Pax until he can learn how to write a 'make' file.
#
PATH=/bin:/usr/bin:/sbin:/usr/sbin:/usr/local/bin:/usr/local/teTeX/bin/powerpc-apple-darwin-current

echo ""
echo "Creating Introductory Physics."

echo ""
echo "Removing old files."

if [ -f .DS_Store  ] ; then rm .DS_Store ; fi
if [ -f Introductory_Physics.aux ] ; then rm Introductory_Physics.aux ; fi
if [ -f Introductory_Physics.bbl ] ; then rm Introductory_Physics.bbl ; fi
if [ -f Introductory_Physics.blg ] ; then rm Introductory_Physics.blg ; fi
if [ -f Introductory_Physics.idx ] ; then rm Introductory_Physics.idx ; fi
if [ -f Introductory_Physics.ilg ] ; then rm Introductory_Physics.ilg ; fi
if [ -f Introductory_Physics.ind ] ; then rm Introductory_Physics.ind ; fi
if [ -f Introductory_Physics.lof ] ; then rm Introductory_Physics.lof ; fi
if [ -f Introductory_Physics.log ] ; then rm Introductory_Physics.log ; fi
if [ -f Introductory_Physics.lot ] ; then rm Introductory_Physics.lot ; fi
if [ -f Introductory_Physics.toc ] ; then rm Introductory_Physics.toc ; fi
	if [ -f images/.DS_Store ] ; then rm images/.DS_Store ; fi

	if [ -f plots/.DS_Store ] ; then rm plots/.DS_Store ; fi
	
	if [ -f plots/output/.DS_Store ] ; then rm plots/output/.DS_Store ; fi
	if [ -f plots/output/A_Body_Accelerating_at_981.eps ] ; then rm plots/output/A_Body_Accelerating_at_981.eps ; fi
	if [ -f plots/output/A_Body_Accelerating_at_981.pdf ] ; then rm plots/output/A_Body_Accelerating_at_981.pdf ; fi
	if [ -f plots/output/A_Body_Accelerating_at_981.tex ] ; then rm plots/output/A_Body_Accelerating_at_981.tex ; fi
	if [ -f plots/output/Constants_of_Saturated_Water_Vapor.eps ] ; then rm plots/output/Constants_of_Saturated_Water_Vapor.eps ; fi
	if [ -f plots/output/Constants_of_Saturated_Water_Vapor.pdf ] ; then rm plots/output/Constants_of_Saturated_Water_Vapor.pdf ; fi
	if [ -f plots/output/Constants_of_Saturated_Water_Vapor.tex ] ; then rm plots/output/Constants_of_Saturated_Water_Vapor.tex ; fi
	if [ -f plots/output/Saltpeter_Solution.eps ] ; then rm plots/output/Saltpeter_Solution.eps ; fi
	if [ -f plots/output/Saltpeter_Solution.pdf ] ; then rm plots/output/Saltpeter_Solution.pdf ; fi
	if [ -f plots/output/Saltpeter_Solution.tex ] ; then rm plots/output/Saltpeter_Solution.tex ; fi

echo ""
echo "Creating Gnuplot output."

if [ -f plots/plots.gp ]; then
		gnuplot plots/plots.gp
fi

echo ""
echo "Creating Epstopdf output."

if [ -f plots/output/A_Body_Accelerating_at_981.eps ] ; then epstopdf plots/output/A_Body_Accelerating_at_981.eps ; fi
if [ -f plots/output/Constants_of_Saturated_Water_Vapor.eps ] ; then epstopdf plots/output/Constants_of_Saturated_Water_Vapor.eps ; fi
if [ -f plots/output/Saltpeter_Solution.eps ] ; then epstopdf plots/output/Saltpeter_Solution.eps ; fi

echo ""
echo "Going through Introductory_Physics.tex first run."

if [ -f Introductory_Physics.tex ] ; then
    pdflatex Introductory_Physics.tex
fi

echo ""
echo "Creating index."

if [ -f Introductory_Physics.idx ] ; then
	makeindex Introductory_Physics.idx
fi

echo ""
echo "Bibliography."

if [ -f Bibliography.bib ] ; then
        bibtex Introductory_Physics
fi

echo ""
echo "Going through Introductory_Physics.tex second run."

if [ -f Introductory_Physics.tex ] ; then
    pdflatex Introductory_Physics.tex
fi

echo ""
echo "Going through Introductory_Physics.tex third run."

if [ -f Introductory_Physics.tex ] ; then
    pdflatex Introductory_Physics.tex
fi

echo ""
echo "Removing files."

if [ -f .DS_Store  ] ; then rm .DS_Store ; fi
if [ -f Introductory_Physics.aux ] ; then rm Introductory_Physics.aux ; fi
if [ -f Introductory_Physics.bbl ] ; then rm Introductory_Physics.bbl ; fi
if [ -f Introductory_Physics.blg ] ; then rm Introductory_Physics.blg ; fi
if [ -f Introductory_Physics.idx ] ; then rm Introductory_Physics.idx ; fi
if [ -f Introductory_Physics.ilg ] ; then rm Introductory_Physics.ilg ; fi
if [ -f Introductory_Physics.ind ] ; then rm Introductory_Physics.ind ; fi
if [ -f Introductory_Physics.lof ] ; then rm Introductory_Physics.lof ; fi
if [ -f Introductory_Physics.log ] ; then rm Introductory_Physics.log ; fi
if [ -f Introductory_Physics.lot ] ; then rm Introductory_Physics.lot ; fi
if [ -f Introductory_Physics.toc ] ; then rm Introductory_Physics.toc ; fi
	if [ -f images/.DS_Store ] ; then rm images/.DS_Store ; fi

	if [ -f plots/.DS_Store ] ; then rm plots/.DS_Store ; fi
	
	if [ -f plots/output/.DS_Store ] ; then rm plots/output/.DS_Store ; fi
	if [ -f plots/output/A_Body_Accelerating_at_981.eps ] ; then rm plots/output/A_Body_Accelerating_at_981.eps ; fi
	if [ -f plots/output/A_Body_Accelerating_at_981.pdf ] ; then rm plots/output/A_Body_Accelerating_at_981.pdf ; fi
	if [ -f plots/output/A_Body_Accelerating_at_981.tex ] ; then rm plots/output/A_Body_Accelerating_at_981.tex ; fi
	if [ -f plots/output/Constants_of_Saturated_Water_Vapor.eps ] ; then rm plots/output/Constants_of_Saturated_Water_Vapor.eps ; fi
	if [ -f plots/output/Constants_of_Saturated_Water_Vapor.pdf ] ; then rm plots/output/Constants_of_Saturated_Water_Vapor.pdf ; fi
	if [ -f plots/output/Constants_of_Saturated_Water_Vapor.tex ] ; then rm plots/output/Constants_of_Saturated_Water_Vapor.tex ; fi
	if [ -f plots/output/Saltpeter_Solution.eps ] ; then rm plots/output/Saltpeter_Solution.eps ; fi
	if [ -f plots/output/Saltpeter_Solution.pdf ] ; then rm plots/output/Saltpeter_Solution.pdf ; fi
	if [ -f plots/output/Saltpeter_Solution.tex ] ; then rm plots/output/Saltpeter_Solution.tex ; fi


echo ""
echo "Process complete."
