######################################################################
#                                                                    #
#                       Introductory Physics                         #
#                                                                    #
#                          A First course                            #
#                            In Physics                              #
#                                                                    #
#                                                                    #
#                       (c) 2004 Charles Pax                         #
#                                                                    #
#       This program is free software; you can redistribute it       #
#     or modify it under the terms of the GNU General Public         #
#     License as published by the Free Software Foundation;          #
#     wither version 2 of the license, or (at your option) any       #
#     later version.                                                 #
#                                                                    #
#       This program is distributed in the hope that it will be      #
#     useful, but WITHOUT ANY WARRANTY; without even the implied     #
#     warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR        #
#     PURPOSE. See the GNU General Public License for more           #
#     details.                                                       #
#                                                                    #
#       You should have received a copy of the GNU General           #
#     Public License along with this program; if not, write to       #
#     the Free Software Foundation, Inc., 59 Temple Place -          #
#     Suite 330, Boston, MA 02111-1307, USA                          #
#                                                                    #
#                                                                    #
######################################################################

######################################################################
#                                                                    #
# plots/plots.gp                                                     #
# $Revision: 1.14 $                                                  #
#                                                                    #
######################################################################

######################################################################
#                                                                    #
# Force and Motion, Uniformly Accelerated Motion, Falling Bodies     #
#                                                                    #
######################################################################
set terminal epslatex
set output 'plots/output/A_Body_Accelerating_at_981.eps'
set title 'A Body Accelerating at 9.81 $\frac{\mathrm{m}}{\mathrm{s}^2}$'
set xlabel 'Time $t$ (s)'
set xrange [0:2]
set xtics 0.2
set ylabel 'Distance (m)'
set yrange [0:20]
set ytics 2
set key box
set key top left
plot 9.81 title '$a$' with lines, \
     9.81*x title '$v$' with lines, \
     9.81*x**2 title '$d$' with lines
reset

######################################################################
#                                                                    #
# Molecular Motions, Properties of Vapors, Temperature density...    #
#                                                                    #
######################################################################
set terminal epslatex
set output 'plots/output/Constants_of_Saturated_Water_Vapor.eps'
set title 'Constants of Saturated Water Vapor'
set xlabel 'Temperature ($^{\circ}$C)'
set xrange [-10:40]
set ylabel 'Pressure (mm Hg)'
set yrange [0:60]
set y2label 'Density ($\frac{\mathrm{mg}}{\mathrm{cm}^3}$)'
set y2range [0:0.06]
set y2tics
set key box
set key top left
plot 'plots/Constants_of_Saturated_Water_Vapor.dat' using 1:2 title 'Pressure' with linespoints, \
     'plots/Constants_of_Saturated_Water_Vapor.dat' using 1:3 title 'Density' with linespoints axis x1y2
reset

######################################################################
#                                                                    #
# Molecular Forces, Solution and Crystallization, Crystallization    #
#                                                                    #
######################################################################
set terminal epslatex
set output 'plots/output/Saltpeter_Solution.eps'
set title 'Saltpeter Solution'
set xlabel 'Temperature ($^{\circ}$C)'
set xtics 10
set ylabel 'Mass of Saltpeter (g)'
set key box
set key top left
plot 'plots/Saltpeter_Solution.dat' using 1:2 title 'Saltpeter' with linespoints
reset